[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: The archive now supports xz compression

On Thu, Aug 11, 2011 at 09:19:55PM +0200, Raphael Hertzog wrote:
> As Ansgar mentionned, it creates a new requirement: for debootstrap to work
> xz must be present and it's currently not present in debian-installer.

The main thing I consider to be difficult is that putting xz-compressed
packages in the base system requires people on foreign systems to have
an xz decompressor available.  To a large extent this is outside our

> Since hardcoding gzip for base packages seems to be a bit brittle,
> we need to work towards allowing xz usage in debian-installer and accept
> it as a dependency for deboostrap on non-Debian systems (I don't think
> it's a big issue, xz is portable and is more and more widely used).

Can you quantify that?  I don't have hard numbers for the non-Debian
systems where people report running debootstrap; perhaps you do ...

> I guess that a first step is to have an xz udeb...

No.  busybox already has an unxz applet, so if we choose to do this then
we should enable that applet in busybox-udeb, not add a separate udeb.

Colin Watson                                       [cjwatson@debian.org]

Reply to: